package com.wms.entity.app.request;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.wms.entity.table.Config;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 配置查询
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class ConfigQuery extends PageQuery {
    /**
     * 配置ID
     */
    @JsonProperty("configId")
    private Integer configId;

    /**
     * 配置键
     */
    @JsonProperty("configKey")
    private String configKey;

    /**
     * 配置值
     */
    @JsonProperty("configValue")
    private String configValue;

    /**
     * 配置展示类型
     */
    @JsonProperty("configType")
    private String configType;

    /**
     * 配置名称
     */
    @JsonProperty("configName")
    private String configName;

    /**
     * 返回配置PO
     */
    public Config toConfigPO() {
        Config config = new Config();
        config.setConfigId(this.configId);
        config.setConfigKey(this.configKey);
        config.setConfigName(this.configName);
        config.setConfigValue(this.configValue);
        config.setConfigType(this.configType);
        return config;
    }
}
